package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

public class RenderRutasOperadorEmbarcada implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		ItemRenderRutaOperadorEmbarcada ruta = (ItemRenderRutaOperadorEmbarcada) o;

		Listcell lc = new Listcell(ruta.getDescricao());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getNumRuta());
		lc.setParent(lstm);
		
		lc = new Listcell(ruta.getClasse());
		lc.setParent(lstm);

		lc = new Listcell(ruta.getEmpresa());
		lc.setParent(lstm);

		lstm.setAttribute("data", ruta);

	}

}
